# Uses of Interface
org.astrogrid.samp.hub.HubService

Packages that use HubService
Package
Description
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of HubService in org.astrogrid.samp.gui

Classes in org.astrogrid.samp.gui that implement HubService
Modifier and Type
Class
Description
`class`
`GuiHubService`
BasicHubService subclass which provides a GUI window displaying hub status as well as the basic hub services.
`class`
`MessageTrackerHubService`
GuiHubService subclass which additionally keeps track of which messages have been sent and received, and can provide a graphical display of these.

## Uses of HubService in org.astrogrid.samp.hub

Classes in org.astrogrid.samp.hub that implement HubService
Modifier and Type
Class
Description
`class`
`BasicHubService`
HubService implementation.
`class`
`FacadeHubService`
HubService that provides hub functionality by accessing an existing hub service.
Methods in org.astrogrid.samp.hub that return HubService
Modifier and Type
Method
Description
`HubService`
Hub.`getHubService()`
Returns the hub service associated with this hub.
Constructors in org.astrogrid.samp.hub with parameters of type HubService
Modifier
Constructor
Description
``
`Hub(HubService service)`
Constructor.

## Uses of HubService in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return HubService
Modifier and Type
Method
Description
`HubService`
HubRunner.`getHub()`
Deprecated.
Returns the HubService object used by this runner.
Constructors in org.astrogrid.samp.xmlrpc with parameters of type HubService
Modifier
Constructor
Description
``
`HubRunner(SampXmlRpcClientFactory xClientFactory, SampXmlRpcServerFactory xServerFactory, HubService hub, File lockfile)`
Deprecated.
Constructor.